<?php
/**
 * PaypalConfigs Model for YO_Pixel Component
 * 
 * 
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );


class YO_PixelModelPaypalconfigs extends JModel{
	
	
	var $_data;
	function __construct(){
		
		global $app,$option;
		parent::__construct();
		
		$limit				= $app->getUserStateFromRequest($option.'.com_yo_pixel.limit', 'limit', $app->getCfg('list_limit'), 'int');
		$limitstart			= $app->getUserStateFromRequest($option.'.com_yo_pixel.limitstart', 'limitstart', 0, 'int');

		$this->setState('limit',$limit);
		$this->setState('limitstart',$limitstart);
	}
	
	function getData()
	{
		// load the data if it doesn’t already exist
		if (empty($this->_data))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList($query, $this->getState('limitstart'), $this->getState('limit'));
		}		
		return $this->_data;
	}
	

 	 /**
 	  * build sql query 
 	  *
 	  * @return unknown
 	  */
	function _buildQuery()
	{
		$query = ' SELECT * '
				. ' FROM #__yo_paypalconfig '	;	
		
		return $query;
	}

	
}


?>