<?php
/*------------------------------------------------------------------------

# controller.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('');
jimport('joomla.application.component.controller');

CLASS YO_PixelController EXTENDS JController {
	FUNCTION display() {
		GLOBAL $mainframe;
		
		$bar = & JToolBar::getInstance('toolbar');
		JToolBarHelper::title('YO Pixel','home_custom.png');
		JToolBarHelper::preferences('com_yo_pixel', 300 );
		JToolBarHelper::publish('ssubmit', 'Show Submit');
		JToolBarHelper::unpublish('hsubmit', 'Hide Submit');
		JToolBarHelper::deleteListX('Are you sure ?');
		JToolBarHelper::editListX('edit', 'Edit');
		JToolBarHelper::addNew('add', 'New');
//		$bar->appendButton( 'Popup', 'upload', JText::_('Configuration'), 'index.php?option=com_yo_pixel&amp;controller=wall&amp;task=detailconfigurations', 560, 380 );
				
		$document 	= &JFactory::getDocument();
		$vType		= $document->getType();
		
		$vName		= JRequest::getCmd('view', 'wall');
		
		$vLayout 	= JRequest::getCmd('layout', 'wall');
		
		$mName		= 'wall';
		// Get/Create the view
		$view = &$this->getView( $vName, $vType);
		// Get/Create the model
		if ($model = &$this->getModel($mName)) {
			// Push the model into the view (as default)
			$view->setModel($model, true);
		}
		
		// Set the layout
		$view->setLayout($vLayout);
		
		// Display the view		
		$view->display();
	}
}
?>