<?php
/**
 * Eshowcase Model for Eshowcase Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://econtentsite.com
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');

/**
 * Extensions Model
 */

class YO_PixelModelCoupon extends JModel {

	var $data;

	function __construct(){
		global $mainframe,$option;
		parent::__construct();


		$state	= $mainframe->getUserStateFromRequest( $option.'.eshowcasetip.state','state',-1,'string' );
		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}
	function setId($id)
	{
		// Set id and wipe data
		$this->_id		= $id;
		$this->_data	= null;
	}

	function &getData()
	{
		// Load the data
		if (empty( $this->_data )) {
			$query = ' SELECT * FROM #__yo_coupon'.
			'  WHERE id = '.$this->_id;
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
		}
		if (!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->id = 0;
		}
		return $this->_data;
	}

	function _buildQuery()
	{
		//$where = $this->_buildContentWhere();
		$query = ' SELECT *  FROM #__eshowcase';
		//	. $where;
		return $query;
	}

	function store()
	{
		$row  =&JTable::getInstance('extensions','table');
		//$row =& $this->getTable();
		$data = JRequest::get( 'post' );
		//		var_dump($data); die();
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		//		var_dump($row); die();
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}
		return true;
	}

	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$row =& $this->getTable();
		if (count( $cids )) {
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}

	function storeCoupon(){
		
		$row  =&JTable::getInstance('coupon','table');
		$data = JRequest::get( 'post' );
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}
		return true;
	
//		$db = JFactory::getDBO();
//		$query = 'UPDATE #__yo_coupon SET code=\''.JRequest::getString('code').'\',safe=\''.JRequest::getString('safe').'\' WHERE id='.JRequest::getInt('id');
//		$db->setQuery($query);
//		$db->query();
//		return true;
	}





}
?>