<?php
/**
 * Eshowcase Model for Eshowcase Component
 * 
 * 
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );


class YO_PixelModelCoupons extends JModel{
	
	
	var $data;
	
	function __construct(){
		
		global $mainframe,$option;
		parent::__construct();
		
		$limit				=$mainframe->getUserStateFromRequest($option.'.com_eshowcase.limit','limit',$mainframe->getCfg('list_limit'),'int');
		$limitstart			=$mainframe->getUserStateFromRequest($option.'.com_eshowcase.limitstart','limitstart', 0, 'int');
		
	
		$this->setState('limit',$limit);
		$this->setState('limitstart',$limitstart);
		
	}
	
	function getData(){
		// load the data if it doesn’t already exist
		if (empty($this->_data))
		{
		$query = $this->_buildQuery();
		$this->_data = $this->_getList($query, $this->getState('limitstart'),
	 	$this->getState('limit'));
		}	
		return $this->_data;
	}
	
 	 /**
 	  * build sql query 
 	  *
 	  * @return unknown
 	  */
	function _buildQuery(){
//		$where = $this->_buildContentWhere();	
		$order	=	$this->_buildOrderBy();
		$query = 'SELECT * FROM #__yo_coupon ';
//		. $where
//		.$order;
		return $query;
//		var_dump($query); die();
	}
	
	/**
	 * method return where in sql query to seach by name and select by address
	 *
	 * @return unknown
	 */
	function _buildContentWhere() {
		global $mainframe;
	
		$where = array();
		
		$where = ( count( $where ) ? ' WHERE '. implode( ' AND ', $where ) : '' );
		return $where;
		}
		
		/**
		 * return list status 
		 */
	
		
		
				
		/**
		 * sort when click into title
		 *
		 * @return unknown
		 */
	function _buildOrderBy(){
			
		$filter_order		=	$this->getState('filter_order');
		$filter_order_Dir	=	$this->getState('filter_order_dir');
		if (!$filter_order || $filter_order == 'id'){
		$orderby 			= ' ORDER BY id';
		} else {
		$orderby 			= ' ORDER BY `'. $filter_order .'` '. $filter_order_Dir .', id';
			}
			$orderby = ' ORDER BY '. $filter_order .' '. $filter_order_Dir .',id,ordering';
		return $orderby;
			
		}
		
	/**
	 * return list 
	 *
	 * @return unknown
	 */
	function getList(){
		
		return  $lists;				
	}
	

	
	/**
	 * count total page
	 *
	 * @return unknown
	 */
	function getTotal()
 	 {
 		 	// Load the content if it doesn't already exist
        if (empty($this->_total)) {
            $query = $this->_buildQuery();       
            $this->_total = $this->_getListCount($query);    
        }
        return $this->_total;
  	}
	
  	//pagination
	function getPagination() 
	{
  	      // Load the content if it doesn't already exist
        if (empty($this->_pagination)) {
            jimport('joomla.html.pagination');
            $this->_pagination = new JPagination($this->getTotal(), $this->getState('limitstart'), $this->getState('limit') );
        }

        return $this->_pagination;
 	 }
 	 
 	 function delete(){
		$cids 	 = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$row	 =&JTable::getInstance('coupon','table');

		if (count( $cids )) {
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}
	
}


?>