<?php
/*------------------------------------------------------------------------

# new.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('');
$disabled = '';
if ( JRequest::getInt('id', 0) != 0 || JRequest::getVar('cid', null, '', 'array') != null ) {
	$disabled = 'disabled';
}
?>

<form action="index.php" method="post" name="adminForm" id="adminForm" >
<div id="valid"></div>
<div class="col100">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Wall info' ); ?></legend>
		
		<table class="admintable">
			<tr>
				<td width="100" align="right" class="key">
					<label for="name"><?php echo JText::_( 'NAME' ); ?>:</label>
				</td>
				<td>
					<input class="text" type="text" name="name" id="name" size="50" maxlength="250" value="<?php if ( JRequest::getString('name', '') == '') {
																														echo $this->wall->name;
																													} else {
																														echo JRequest::getString('name');
																													}?>" />
				</td>
			</tr>
			
			<tr>
				<td class="key" valign="top">
					<label for="Description"><?php echo JText::_('DESCRIPTION');?>:</label>
				</td>
				<td>
					<textarea class="text_area" name="description" id="description" cols="40" rows="5"><?php if ( JRequest::getString('description', '')== '') {
									echo $this->wall->description;
								} else {
									echo JRequest::getString('description', '');
								}?></textarea>
				</td>
			</tr>
			
			<tr>
				<td class="key" valign="top">
					<label for="ssubmit"><?php echo JText::_('Submit');?>:</label>
				</td>
				<td>
					<select id="ssubmit" name="ssubmit">
						<option value="1" <?php if (isset($this->wall->ssubmit) && $this->wall->ssubmit == 1) echo "selected";?>>Yes</option>
						<option value="0" <?php if (!isset($this->wall->ssubmit) || $this->wall->ssubmit == 0) echo "selected";?>>No</option>
					</select>
				</td>
			</tr>
			
			<tr>
				<td width="100" align="right" class="key">
					<label for="cols" ><?php echo JText::_( 'COLUMN' ); ?>:</label>
				</td>
				<td>
					<input type="text" value="<?php if ( isset($_REQUEST['cols']) ){
														echo JRequest::getVar('cols', '');
													} else {
														echo $this->wall->cols;
													}?>" id="cols" name="cols" size="50" <?php echo $disabled?> />
				</td>
			</tr>
			
			<tr>
				<td width="100" align="right" class="key">
					<label for="rows"><?php echo JText::_( 'ROW' ); ?>:</label>
				</td>
				<td>
					<input type="text" id="rows" name="rows" value="<?php if ( isset($_REQUEST['rows'] ) ) {
																				echo JRequest::getVar('rows', '' );
																			} else {
																				echo $this->wall->rows;
																			}?>" size="50" <?php echo $disabled?> />
				</td>
			</tr>
			
			<tr>
				<td width="100" align="right" class="key">
					<label for="size"><?php echo JText::_( 'SIZE' ); ?>:</label>
				</td>
				<td>
					<input type="text" id="size" name="size" value="<?php if ( JRequest::getVar('size', '') == '') {
																				echo $this->wall->size;
																			} else {
																				echo JRequest::getVar('size', '');
																			}?>" size="50" />
				</td>
			</tr>
		</table>
		<font color="Red"><?php echo '<strong>'.JText::_('NOTE').':</strong>'.JText::_('FIX_SIZE')?></font>
	</fieldset>
</div>

<input type="hidden" name="option" value="com_yo_pixel" />
<input type="hidden" name="id" value="<?php echo $this->wall->id;?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="wall" />

</form>

