<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


jimport('joomla.html.html');
jimport('joomla.form.formfield');//import the necessary class definition for formfield


/**
 * Supports an HTML select list of articles
 * @since  1.6
 */
class JFormFieldWall extends JFormField
{
	/**
  * The form field type.
  *
  * @var  string
  * @since	1.6
  */
	protected $type = 'Wall'; //the form field type

	/**
  * Method to get content articles
  *
  * @return	array	The field option objects.
  * @since	1.6
  */
	protected function getInput()
	{
  // Initialize variables.
  $session = JFactory::getSession();
  $options = array();
  
  $attr = '';

  // Initialize some field attributes.
  $attr .= $this->element['class'] ? ' class="'.(string) $this->element['class'].'"' : '';

  // To avoid user's confusion, readonly="true" should imply disabled="true".
  if ( (string) $this->element['readonly'] == 'true' || (string) $this->element['disabled'] == 'true') {
   $attr .= ' disabled="disabled"';
  }

  $attr .= $this->element['size'] ? ' size="'.(int) $this->element['size'].'"' : '';
  $attr .= $this->multiple ? ' multiple="multiple"' : '';

  // Initialize JavaScript field attributes.
  $attr .= $this->element['onchange'] ? ' onchange="'.(string) $this->element['onchange'].'"' : '';
  

  //now get to the business of finding the articles
	
  $db = &JFactory::getDBO();
  $query = 'SELECT * FROM #__yo_pixel';
  $db->setQuery( $query );
  $categories = $db->loadObjectList();
  $articles=array();
  
  $articles[0]->id = '';
  $articles[0]->title = JText::_("- Select Wall -");
  
     $query = 'SELECT id,name FROM #__yo_pixel ';
     $db->setQuery( $query );
     $results = $db->loadObjectList();
     $list= array_merge($articles,$results);
  // Output
  
  return JHTML::_('select.genericlist',  $list, $this->name, trim($attr), 'id', 'name', $this->value );
  
	}
}
