var currentListCells = new Array();
var arr_ = new Array();
var arr_pos = new Array();
var tmp_cell = '';
var keyCtrl = false;

//these array use for remove a cell
var arr_1 = new Array();

//CHECK CTRL KEY DOWN
document.onkeydown = function(e){
	
	var KeyID = (window.event) ? event.keyCode : e.keyCode;
	if(KeyID == 17) {
		keyCtrl = true;
	}
}
//CHECK CTRL KEY UP
document.onkeyup = function(e) {
	var KeyID = (window.event) ? event.keyCode : e.keyCode;
	if( KeyID == 17 )
		keyCtrl = false;
}

//function them 1 ptu vao mang
function addNewCell( pos1, pos2 ) {
	currentListCells[currentListCells.length] = tmp_cell;
	//document.getElementById( tmp_cell ).style.backgroundColor = "#0066CC";
	$('' + tmp_cell).addClass('e_selected');
}

//function bo 1 ptu khoi mang
function removeCell( position ) {
		
	if ( _removeValid( position )) {
		
		for (var i=0; i < currentListCells.length; i++ ) { 
			
			if (currentListCells[i] == position ) {
				currentListCells.splice( i, 1);
				//document.getElementById(position ).style.backgroundColor = "#FFFFFF";
				$('' + position).removeClass('e_selected');
			}
		} 
		document.getElementById('notify_error').innerHTML = '&nbsp;';
	}else {
		document.getElementById('notify_error').innerHTML = '<font color="red">Remove cell invalid!</font> ';
	}
	
}

//delete cell hop le
function _removeValid( position ) {
	
	currentListCells.splice( currentListCells.indexOf(position), 1);
	
	//select list of next cells (up to 4)
	var cells = _getcells(position);
	
	if(cells.length <= 1){
		currentListCells.push(position);
		return true;
	}
	
	//all cells must has way to each other
	for(var i = 1; i < cells.length; i++){
		if(!_findTheWay(cells[0], cells[i])){
			currentListCells.push(position);
			return false;
		}
	}
	
	currentListCells.push(position);
	return true;
}

//get near cells in list of selected cells
function _getcells( position ) {

	var cells = new Array();
	var pos = cellToCoordinate( position );
	a1 = pos[0];
	a2 = pos[1];
	
	for ( i=0; i < currentListCells.length; i++ ) {
		
		coordinate = cellToCoordinate(currentListCells[i]);
		
		if ( ( Math.abs(a1 -coordinate[0]) + Math.abs(a2 -coordinate[1]) ) == 1 ) {
			
			cells.push( currentListCells[i] );
			
		}
	}
	
	return cells;
}

//find the way from pos1 to pos2
//if there is a way then return true, else return false
function _findTheWay(pos1, pos2){
	arr_1 = new Array();
	
	_pushNewCellsToStack(pos1);
	
	if(pos1 == pos2){
		return true;
	}
	
	//find all pos1 neighbours
	var pos1_neighbours = _findAllNeighbour(pos1);
	if(_in_array(pos2, pos1_neighbours)){
		return true;
	}
	
	return false;
}

function _findAllNeighbour(position){
	var arr_neighbour = new Array();
	
	var cells = _getcells(position);
	for(var i = 0; i < cells.length; i++){
		if(!_in_array(cells[i], arr_1)){
			arr_neighbour.push(cells[i]);
			arr_1.push(cells[i]);
			var arr_neighbour2  = _findAllNeighbour(cells[i]);
			for(var j = 0; j < arr_neighbour2.length; j++){
				if(!_in_array(arr_neighbour2[j], arr_neighbour)){
					arr_neighbour.push(arr_neighbour2[j]);
				}
			}
		}
	}
	return arr_neighbour;
}


function _pushNewCellsToStack(cell){
	if(!_in_array(cell, arr_1)){
			arr_1.push(cell);
	}
}

function _in_array(val, arr) {
	for(var i = 0; i < arr.length; i++) {
		if(arr[i] == val) {
			return true;
		}
	}
	return false;
}


//function check slected cell valid
function cellValid( pos1, pos2 ) {

	if ( currentListCells.length == 0 ) {
		return true;
	}
	
	for ( i=0; i < currentListCells.length; i++ ) {
		
		coordinate = cellToCoordinate(currentListCells[i]);
				
		if ( ( Math.abs(pos1-coordinate[0]) + Math.abs(pos2-coordinate[1]) ) == 1 ) {
			document.getElementById('notify_error').innerHTML = '&nbsp;';
			return true;
				
		}
	}
	
	document.getElementById('notify_error').innerHTML = '<font color="red">Cell invalid !</font><br />';
	
	return false;
}

//function cap nhat du lieu
function update( cell, exist ) {
	tmp_cell 	= cell;	
	cellToCoordinate( cell );
	
	var pos1 = arr_pos[0];//return first pos follow y axis
	var pos2 = arr_pos[1];//return first pos follow x axis
	
	if ( exist )
	{
		document.getElementById('notify_error').innerHTML = '<font color="red">This cell has been chosen, please choice other cell!</font>';
		return;
	} else {
		document.getElementById('notify_error').innerHTML = '&nbsp;';
	}
	if ( keyCtrl ) {
		if(_in_array( cell, currentListCells)){
			removeCell( cell );
			return;
		}
		
		//Mr.Binh CHECK THIS AGAIN
		if ( cellValid( pos1, pos2 ) ) {
			addNewCell( pos1, pos2 );
			return;
		}
	} else {
		normalClick ( pos1, pos2 );
	}
}

//KEY CONTROL IS NOT PRESSED
function normalClick ( pos1, pos2 ) {
	
	if ( currentListCells.length != 0 ) {
		for (i=0; i < currentListCells.length; i++ ) {
			//document.getElementById( currentListCells[i] ).style.backgroundColor = "#FFFFFF";
			$('' + currentListCells[i]).removeClass('e_selected');
		}
	
		//empty arrayCellsValid
		currentListCells.splice( 0, currentListCells.length);
	}

//	change color cell
	if (currentListCells.length != 0 ) {
		//document.getElementById(currentListCells[0]).style.backgroundColor = "#FFFFFF";
		$('' + currentListCells[0]).removeClass('e_selected');
	}

	
//	document.getElementById( tmp_cell ).style.backgroundColor = "#0066CC";
//	alert(tmp_cell);
	$('' + tmp_cell).addClass('e_selected');
			
	//save this posistion to the first element of currentListCells list
	currentListCells[0] = tmp_cell;
	
}

function sendcross () {
	
	if( currentListCells.length == 0 ) {
		document.getElementById('notify_error').innerHTML = '<font color="red">Cell not found!</font>';
		return false;
	} else {
		document.getElementById('notify_error').innerHTML = '&nbsp;';
		document.getElementById('yo_pixel_getcells').value = currentListCells;
		document.yo_pixel_step1.submit();
	}
}

function cellToCoordinate( cell ) {
	
	arr_pos[0] = cell % col;//y
	arr_pos[1] = Math.floor(cell/col);//x
	
	return arr_pos;
	
}