<?php
/*------------------------------------------------------------------------

# yo_pixel.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die('Restricted access');


// Set the path definitions
// Require the base controller
require_once (JPATH_COMPONENT.DS.'controller.php');

if($controller = JRequest::getWord('controller', null, '')) {
	$controllerPath	= JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	
	// If the controller file path exists, include it ... else lets die with a 500 error
	if (file_exists($controllerPath)) {
		require_once($controllerPath);
	} else {
		JError::raiseError(500, 'Invalid Controller');
	}
}
else
{
	// Base controller, just set the task :)
	$controller = null;	
}

// Set the name for the controller and instantiate it
$controllerClass = 'YO_PixelController'.ucfirst($controller);
if (class_exists($controllerClass)) {
	$controller = new $controllerClass();
} else {
	JError::raiseError(500, 'Invalid Controller Class');
}

// Perform the Request task
$controller->execute( JRequest::getCmd('task'));

// Redirect if set by the controller
$controller->redirect();