<?php
/*------------------------------------------------------------------------

# install.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restrict access!');

$db	=	JFactory::getDBO();
$error = 0;
$query	=	'CREATE TABLE IF NOT EXISTS `jos_yo_ads` (
  `id` int(11) NOT NULL auto_increment,
  `wall_id` int(11) default NULL,
  `user_id` int(11) default NULL,
  `name` varchar(255) default NULL,
  `info` text default NULL,
  `url` text default NULL,
  `pixel` int(11) default NULL,
  `price` varchar(20) default NULL,
  `newprice` varchar(20) default NULL,
  `address` text default NULL,
  `phone` text default NULL,
  `timeorder` varchar(10) default NULL,
  `newtimeorder` varchar(10) default NULL,
  `email` varchar(255) default NULL,
  `publishup` date default NULL,
  `original_image` varchar(255) default NULL,
  `c_date` datetime default NULL,
  `exp_date` datetime default NULL,
  `status` enum(\'pending\',\'published\',\'unpublished\') default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;';
$db->setQuery($query);
if($db->query()){
	//do anything ...
} else {
	echo 'INSTALL YO_ADS TABLE ERROR!';
	$error += 1;
}


$query	=	'CREATE TABLE IF NOT EXISTS `jos_yo_ads_cells` (
  `id` int(11) NOT NULL auto_increment,
  `ads_id` int(11) default NULL,
  `cell_id` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;';
$db->setQuery($query);
if($db->query()){
	// do anything ...
} else {
	echo 'INSTALL ADS_CELLS TABLE ERROR!';
	$error +=1;
}
$query 	=	'CREATE TABLE IF NOT EXISTS `jos_yo_configuration`(
	`id` int(11) not null auto_increment,
	`termid` int(11),
	`unitprice` varchar(100),
	`price` int(1) default \'0\',
	`max` int(11) default \'1\',
	`term` varchar(100),
	`uploadby` varchar(20) default \'auto\',
	PRIMARY KEY (`id`)
)';
$db->setQuery($query);
$db->query();
if($db->query()){
} else {
	echo 'INSTALL ADS_CELLS TABLE ERROR!';
	$error +=1;
}
$query='INSERT INTO jos_yo_configuration VALUES (
		"",\'1\',\'day\',\'1\',
		"",
		\'yourtermandservice\',\'auto\'
)';
$db->setQuery($query);
$db->query();
$query	=	'CREATE TABLE IF NOT EXISTS `jos_yo_pixel` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(45) default NULL,
  `description` varchar(45) default NULL,
  `ssubmit` tinyint(1) NOT NULL default \'1\',
  `cols` int(11) default NULL,
  `rows` int(11) default NULL,
  `size` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;';
$db->setQuery($query);
if($db->query()){
	//do something ...
} else {
	echo 'INSTALL WALL TABLE ERROR!';
	$error +=1;
}


$query 	=	'CREATE TABLE IF NOT EXISTS `jos_yo_paypalconfig`(
	`id` int(11) not null auto_increment,
	`paypalemail` varchar(100),
	`sandbox` int(1) default \'0\',
	`currency_code` varchar(10) default \'USD\',
	PRIMARY KEY (`id`)
)';
$db->setQuery($query);
$db->query();
if($db->query()){
	//do something ...
} else {
	echo 'INSTALL Paypalconfig TABLE ERROR!';
	$error +=1;
}
$query='INSERT INTO jos_yo_paypalconfig VALUES (
		"",\'yourpaypalemail@mail.com\',
		\'0\',
		\'USD\'
)';
$db->setQuery($query);
$db->query();

$img = 'components'.DS.'com_yo_pixel'.DS.'images'.DS.'wall_custom.png';
$query = 'UPDATE #__components SET admin_menu_img ="'.$img.'" WHERE name="E Wall"';
$db->setQuery($query);
$db->query();

$query 	=	'CREATE TABLE IF NOT EXISTS `jos_yo_coupon`(
	`id` int(11) not null auto_increment,
	`code` varchar(50),
	
	`safe` double,
	`type` varchar(15) default \'percent\',
	`status` varchar(20) default \'published\',
	PRIMARY KEY (`id`)
)';
$db->setQuery($query);
$db->query();
if($db->query()){
	//do something ...
} else {
	echo 'INSTALL Paypalconfig TABLE ERROR!';
	$error +=1;
}


if (count($error) == 0 ) {
//	echo 'WELL COME YOS WALL!';
}
?>