<?php
/*------------------------------------------------------------------------

# view.html.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('cannot access directed!');

jimport('joomla.application.component.view');

class YO_PixelViewWall extends JView {
	function display() {
		global $mainframe;
		
		$model = $this->getModel('wall');
		$wall =& $this->get('Wall');
		$this->assignRef('wall', $wall);
			
		$wallData	=	$this->get('WallData');
		$this->assignRef('wallData'	,	$wallData);	
		//pagination of Ads's cells
//		echo JRequest::getInt('wall_id');die();
		$pageAdsCells = $model->PaginationOfAdsCells( JRequest::getInt('wall_id', 0 ));
		$this->assignRef('pageAdsCells', $pageAdsCells);
		//pagination of wall
		$pageNav	=	$model->PaginationOfWall();
		$this->assignRef('pageNav', $pageNav);
		
		$loadCells = $model->loadCells( JRequest::getInt('wall_id', ''));
		$this->assignRef( 'loadCells', $loadCells );
				
		//show wall
		$wallParams = $model->wallParams( JRequest::getInt('wall_id', 0 ));
		$this->assignRef('wallParams', $wallParams);
		
		$listwall	=	$model->getListWall( JRequest::getInt('wall_id', 0), 'onchange=document.adminForm.submit();');
		$this->assignRef('listwall', $listwall);
		
		$adsPending = $model->adsPending( JRequest::getInt('wall_id', 0) );
		$this->assignRef( 'adsPending', $adsPending );
		
		$listAds = $model->AdsOfWall( JRequest::getInt('wall_id', 0) );
		$this->assignRef('listAds', $listAds );
		
		$adsId = JRequest::getVar('cid', null, '', 'array');
		$listCells = $model->CellsOfAds( $adsId[0] );
		$this->assignRef( 'listCells', $listCells );

		$CellsOfMutiAds = $model->CellsOfMutiAds();
		$this->assignRef( 'CellsOfMutiAds', $CellsOfMutiAds );
		
		$adsPublished = $model->ListAdsPublished( JRequest::getInt('wall_id', 0 ) );
		$this->assignRef('adsPublished', $adsPublished );
		
		$ordering	=	$this->get('Ordering');
		$this->assignRef('ordering', $ordering);
		
		parent::display();	
	}
	
	
}

?>