<?php
/*------------------------------------------------------------------------

# controller.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('');

jimport('joomla.application.component.controller');
jimport('joomla.filesystem.file');
class YO_PixelController extends JController {
	function display()
	{
		global $mainframe;
		$theMenu = JSite::getMenu();
		$theActiveMenu = $theMenu->getActive(1);
		$user = JFactory::getUser();
		$vName 		= JRequest::getCmd('view', 'step1');
		$vLayout 	= JRequest::getCmd( 'layout', 'default' );
		$mName 		= 'wall';
		$document 	= &JFactory::getDocument();
		$vType		= $document->getType();
		$db=JFactory::getDbo();
		$datenow=date("Y/m/d");
		$off	=	$this->getModel('wall');
		$info=$this->getModel('wall');
		
		$dday=$info->getTime();
		if ($vName=='step1') {
			$info->updateNewtime();
			for ($i=0;$i<count($dday);$i++)			{
				$time=$dday[$i]->timeorder;
				if(($off->subtractDaysFromToday($time)>$dday[$i]->publishup)){
					$query='DELETE FROM #__yo_ads WHERE id ='.$dday[$i]->id;
					$db->setQuery($query);
					$db->query();
				}
			}
			$info->deleteCoupon();
			$info->publishCoupon();
			$delete=$this->getModel('wall');
			$delete->deletePending();
			
			JMenuSite::setActive(1);
		}
		// Get/Create the view
		$view = &$this->getView( $vName, $vType);
		// Get/Create the model
		if ($model = &$this->getModel($mName)) {
			//wall exist
			$wall_id	= JRequest::getInt('wall_id', 0);

			if ($wall_id == 0) {
				$mainframe->Redirect('index.php');
				return;
			} else {
				if ( !$model->wallValid($wall_id) ) {
					$mainframe->Redirect('index.php', JText::_('WALL_NOT_FOUND'));
					return ;
				}
			}

			if ( !$model->CheckSsubmit($wall_id) ) {
				$mainframe->Redirect('index.php', '');
				return ;
			}

			$session 	= JFactory::getSession();
//			var_dump($session); die();
			$view_back	= JRequest::getString('view');
			$tmp_img	= $session->get('yo_pixel_tmp_img');
			if ($view_back == 'step1') {
				$session->set('yo_pixel_id', $wall_id);

				if (!empty($tmp_img)) {
					$model->removeTmpImg($tmp_img);
				}
			}

			if ($view_back == 'step2') {
				$cells 		= $session->get('yo_pixel_cells');
				$this->checkCells($wall_id, $cells);
			}
			if ($view_back == 'step3') {
				$cells 		= $session->get('yo_pixel_cells');
				$this->checkCells($wall_id, $cells);

				require_once(JPATH_COMPONENT.DS.'helpers'.DS.'draw_img.php');

				$dimension 	= $model->getParams( $wall_id );
				$arr_xy 	= $model->getsize($wall_id, $cells);

				$url = 'index.php?option=com_yo_pixel&view=step2&wall_id='.$wall_id;
				if (!empty($tmp_img))
				{
					$draw_img = new drawImg();

					if ( JFile::exists(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img)) {
						//draw border image
						$draw_img->drawBorder(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img, $tmp_img);
						//split this image to parts image is smaller.
						$draw_img->cut_Img(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img, $arr_xy[0]/$dimension->size, $arr_xy[1]/$dimension->size, $dimension->size, $dimension->cols, $cells);
					} else {
						$mainframe->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
					}
				} else {
					$mainframe->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
				}
			}

			if ($view_back == 'step4') {
				$cells 		= $session->get('yo_pixel_cells');
				$this->checkCells($wall_id, $cells);

				$url = 'index.php?option=com_yo_pixel&view=step2&wall_id='.$wall_id;
				if (!empty($tmp_img))
				{
					if (!JFile::exists(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img)) {
						$mainframe->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
					}
				} else {
					$mainframe->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
				}
			}

			// Push the model into the view (as default)
			$view->setModel($model, true);
		}
		
//		
//		var_dump($delete); die();
		// Set the layout
		$view->setLayout($vLayout);

		// Display the view
		$view->display();
	}

	function checkCells($wall_id, $cells) {
		global $mainframe;

		if (empty($cells)){
			$mainframe->Redirect(JRoute::_('index.php?option=com_yo_pixel&view=step1&wall_id='.$wall_id, false), JText::_('CELLS_NOT_FOUND'));
		}
	}

	//paypal
	function complete()
	{
//		die();
		$model=$this->getModel('wall');
		$model->unpublishedCoupon();
		JRequest::setVar('view', 'paypal');
		JRequest::setVar('layout','complete');
		parent::display();
	}
	function extension(){
		$model=$this->getModel('wall');
		$model->updateTime();
//		$model->updateNewtime();
		JRequest::setVar('view', 'paypal');
		JRequest::setVar('layout','extension');
		parent::display();
	}
	

	function cancel()
	{
		JRequest::setVar('view', 'step1');
		JRequest::setVar('layout','default');
		parent::display();
	}
	
	}

	

?>