<?php
/*------------------------------------------------------------------------

# stepfour.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('');

jimport('joomla.application.component.controller');

class YO_PixelControllerStepFour extends JController
{
	function __construct( $default = array())
	{
		parent::__construct( $default );
	}

	function save() {
		global $mainframe;
		$free=JRequest::getString('safefree');
		$cpid=JRequest::getString('couponid');
		//		var_dump($cpid); die();
		//		$this->validUser();
		$model = $this->getModel('wall');
		$session 	= JFactory::getSession();
		$wall_id	= $session->get('yo_pixel_id');

		$cells		= $session->get('yo_pixel_cells');
		if (empty($cells)) {
			$mainframe->Redirect(JRoute::_('index.php?option=com_yo_pixel&view=step1&wall_id='.$wall_id, false), JText::_('CELLS_NOT_FOUND'));
		}

		if ($model->store($wall_id, $cells)) {
			$msg = JText::_('SAVE_SUCCESS_FRONT');
			$db=JFactory::getDBO();
			$query='UPDATE #__yo_ads SET status=\'published\' WHERE wall_id='.$session->get('yo_pixel_id');
			$db->setQuery($query);

		} else {
			$msg = JText::_('SAVE_ERROR_FRONT');
		}
		if ($msg = JText::_('SAVE_SUCCESS_FRONT')) {

		}


		$db=JFactory::getDBO();
		$query 	= ' UPDATE #__yo_coupon SET
			status=\'pending\'
		 WHERE id = '.$db->Quote($cpid);
		$db->setQuery($query);
		$db->query();
		//		var_dump($query); die();
		//		if($db->query()) die(ffs);
		if ($free=='free') {
			$mainframe->Redirect(JRoute::_('index.php?option=com_yo_pixel&view=paypal&task=complete&wall_id='.$wall_id, false), 'YOUR IMAGE HAS UPLOAD!');
		}
		$this->setRedirect(JRoute::_('index.php?option=com_yo_pixel&view=paypal&wall_id='.$wall_id, false), $msg);
	}

	function editads() {
		global $mainframe;

		//		$this->validUser();

		$model 		= $this->getModel('wall');
		$session 	= JFactory::getSession();
		$wall_id	= $session->get('yo_pixel_id');
		$tmp_img	= $session->get('yo_pixel_tmp_img');
		$ads_id		= JRequest::getInt('ads_id', 0);

		if ( $model->editads($wall_id, $tmp_img, $ads_id) ) {
			$msg = JText::_('SAVE_ORDER_TIME');
		} else {
			$msg = JText::_('SAVE_ADS_ERROR');
		}
		$this->setRedirect(JRoute::_('index.php?option=com_yo_pixel&view=extension&wall_id='.$wall_id, false), $msg);
	}

	function validUser() {
		global $mainframe;

		$user = JFactory::getUser();
		if (empty($user->id)) {
			$mainframe->Redirect(JRoute::_('index.php?option=com_user&view=login'), JText::_('LOGIN_MESSAGE'));
		}
	}
	function paypal(){

		global $mainframe;
		$sess=JFactory::getSession();
		$id=$sess->get('id');
		$model	=	$this->getModel('wall');
		$config	=$model->getData();

		$unitprice=$model->getPrice();
		$base_url = 'index.php?option=com_yo_pixel';
		
		if($config[0]->sandbox==1){
			$paypal = 'www.sandbox.paypal.com';
		}
		else {
			$paypal = 'www.paypal.com';
		}
		$type = JRequest::getString('view');

		$url = 'https://'.$paypal.'/cgi-bin/webscr';

		if($type=='extension'){
			$data=$model->getInfo($id);
			$newday =$data->newtimeorder;
			$ads_id		= JRequest::getInt('ads_id');
			$currentday=$data->timeorder;
			$day=$newday-$currentday;
//			var_dump($currentday); die();
			$unit=$unitprice[0]->price;
			$amount=$day*$unit;
			$newamount=$amount+ $data->price;
			$return=urlencode(JURI::root().($base_url.'&amp;task=extension'));

			$db=JFactory::getDBO();
			$query 	= ' UPDATE #__yo_ads SET
			newprice='.$db->Quote($newamount).'
			 WHERE id = '.$db->Quote($ads_id);
			//			var_dump($query); die();
			$db->setQuery($query);
			$db->query();
			//			var_dump($newday); die();
			$pixel=$data->pixel;
		}
		else {
			$data	=$model->getNew();

			$amount=$data[0]->price;

			$return=urlencode(JURI::root().($base_url.'&amp;task=complete'));
			$pixel=$data[0]->pixel;
		}
		$postdata='item_name=YO Pixel&item_number='.$pixel
		.'&amount='.urlencode($amount)
		.'&cmd=_xclick'
		.'&business='.urlencode($config[0]->paypalemail)
		.'&return='.$return
		.'&cancel_return='.urldecode(JURI::root().($base_url.'&amp;task=cancel'))
		;
		$mainframe->redirect($url.'?'.$postdata);
		return ;

	}
}
?>