<?php
/*------------------------------------------------------------------------

# view.html.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('cannot access directed!');

jimport('joomla.application.component.view');

class YO_PixelViewEditAds extends JView {
	function display() {
		global $mainframe;
		
		$session 	= JFactory::getSession();
		
		$wall_id 	= $session->get('yo_pixel_id');
		$model 		= $this->getModel('wall');
		$ads_id		= JRequest::getInt('ads_id', 0);
		$id	= $session->set('adsid',$ads_id);
		$tmp_img	= $session->get('yo_pixel_tmp_img');
		
		$ads_ids 	= $this->get('userImg');

		if( count( $ads_ids ) != 0 ) {
			foreach ($ads_ids as $id ) {
				if ( $id->ads_id == $ads_id) {
					$existed = true;
					break;
				} else {
					$existed = false;
				}
			}
			if ( !$existed ) {
				$msg = JText::_('INVALID_ADS');
				$mainframe->Redirect(JRoute::_('index.php?option=com_yo_pixel&view=step1&wall_id='.$wall_id, false), $msg);
			}
		}
		
		$adsInfo 	= $model->AdsOfWall($ads_id);
		
		$this->assignRef('adsInfo', $adsInfo);
		
		$this->assignRef('wall_id', $wall_id);
		$this->assignRef('ads_id', $ads_id);
		$this->assignRef('tmp_img', $tmp_img);
		
		parent::display();
	}
	
}

?>