<?php
/*------------------------------------------------------------------------

# controller.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('');

jimport('joomla.application.component.controller');
jimport('joomla.filesystem.file');
class YO_PixelController extends JController {
	function display()
	{
		global $mainframe;
		$app	=	JFactory::getApplication();
		$user = JFactory::getUser();
		//		if (empty($user->id)) {
		//			$mainframe->Redirect(JRoute::_('index.php?option=com_user&view=login'), JText::_('LOGIN_MESSAGE'));
		//		}

		$vName 		= JRequest::getCmd('view', 'step1');
		$vLayout 	= JRequest::getCmd( 'layout', 'default' );
		$mName 		= 'wall';
		$document 	= &JFactory::getDocument();
		$vType		= $document->getType();

		$db=JFactory::getDbo();
		$datenow=date("Y/m/d");

		$off	=	$this->getModel('wall');
		$info=$this->getModel('wall');
		$dday=$info->getTime();
		if ($vName=='step1') {
				$info->updateNewtime();
			for ($i=0;$i<count($dday);$i++)			{
				$time=$dday[$i]->timeorder;
				//				var_dump($off->subtractDaysFromToday($time));die();
				if(($off->subtractDaysFromToday($time)>$dday[$i]->publishup)){
					//					die(sdsd);
					$query='DELETE FROM #__yo_ads WHERE id ='.$dday[$i]->id;
					$db->setQuery($query);
					$db->query();
				}
			}
			$info->deleteCoupon();
			$info->publishCoupon();
			$delete=$this->getModel('wall');
			$delete->deletePending();

		}

		// Get/Create the view
		$view = &$this->getView( $vName, $vType);
		// Get/Create the model
		if ($model = &$this->getModel($mName)) {
			//wall exist
			$wall_id	= JRequest::getInt('wall_id', 0);

			if ($wall_id == 0) {
				$app->Redirect('index.php');
				return;
			} else {
				if ( !$model->wallValid($wall_id) ) {
					$app->Redirect('index.php', JText::_('WALL_NOT_FOUND'));
					return ;
				}
			}

			if ( !$model->CheckSsubmit($wall_id) ) {
				$app->Redirect('index.php', '');
				return ;
			}

			$session 	= JFactory::getSession();
			$view_back	= JRequest::getString('view');
			$tmp_img	= $session->get('yo_pixel_tmp_img');
			if ($view_back == 'step1') {
				$session->set('yo_pixel_id', $wall_id);

				if (!empty($tmp_img)) {
					$model->removeTmpImg($tmp_img);
				}
			}

			if ($view_back == 'step2') {
				$cells 		= $session->get('yo_pixel_cells');
				$this->checkCells($wall_id, $cells);
			}
			if ($view_back == 'step3') {
				$cells 		= $session->get('yo_pixel_cells');
				$this->checkCells($wall_id, $cells);

				require_once(JPATH_COMPONENT.DS.'helpers'.DS.'draw_img.php');

				$dimension 	= $model->getParams( $wall_id );
				$arr_xy 	= $model->getsize($wall_id, $cells);

				$url = 'index.php?option=com_yo_pixel&view=step2&wall_id='.$wall_id;
				if (!empty($tmp_img))
				{
					$draw_img = new drawImg();

					if ( JFile::exists(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img)) {
						//draw border image
						$draw_img->drawBorder(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img, $tmp_img);
						//split this image to parts image is smaller.
						$draw_img->cut_Img(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img, $arr_xy[0]/$dimension->size, $arr_xy[1]/$dimension->size, $dimension->size, $dimension->cols, $cells);
					} else {
						$app->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
					}
				} else {
					$app->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
				}
			}

			if ($view_back == 'step4') {
				$cells 		= $session->get('yo_pixel_cells');
				$this->checkCells($wall_id, $cells);

				$url = 'index.php?option=com_yo_pixel&view=step2&wall_id='.$wall_id;
				if (!empty($tmp_img))
				{
					if (!JFile::exists(JPATH_COMPONENT.DS.'imgs'.DS.$tmp_img)) {
						$app->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
					}
				} else {
					$app->Redirect(JRoute::_($url, false), JText::_('IMAGE_NOT_FOUND'));
				}
			}

			// Push the model into the view (as default)
			$view->setModel($model, true);
		}

		//
		//		var_dump($delete); die();
		// Set the layout
		$view->setLayout($vLayout);

		// Display the view
		$view->display();
	}

	function checkCells($wall_id, $cells) {
		//		global $mainframe;
		$app = JFactory::getApplication();
		if (empty($cells)){
			$app->Redirect(JRoute::_('index.php?option=com_yo_pixel&view=step1&wall_id='.$wall_id, false), JText::_('CELLS_NOT_FOUND'));
		}
	}

	//paypal
	function complete()
	{
		$model=$this->getModel('wall');
		$model->unpublishedCoupon();
		JRequest::setVar('view', 'paypal');
		JRequest::setVar('layout','complete');
		parent::display();
	}

	function cancel()
	{
		JRequest::setVar('view', 'step1');
		JRequest::setVar('layout','default');
		parent::display();
	}
	function extension(){
		$model=$this->getModel('wall');
		$model->updateTime();
		JRequest::setVar('view', 'paypal');
		JRequest::setVar('layout','extension');
		parent::display();
	}

	function paypal()
	{
		global $mainframe;
		JRequest::setVar('view', 'paypal');
		JRequest::setVar('layout', 'complete');

		$logs = $this->getModel('logs');
		$db	=& JFactory::getDBO();

		$config	=& JComponentHelper::getParams('com_yo_pixel');
		$output = '';
		// read the post from PayPal system and add 'cmd'
		$req = 'cmd=_notify-validate';

		$posts = '';
		foreach ($_POST as $key => $value) {
			$posts .= "$key => $value\r\n";
			$value = urlencode(stripslashes($value));
			$req .= "&$key=$value";
		}
		// assign posted variables to local variables
		$item_name = JRequest::getVar('item_name', null, 'post');
		$item_number = JRequest::getVar('item_number', null, 'post');
		$payment_status = JRequest::getVar('payment_status', null, 'post');
		$payment_amount = JRequest::getVar('mc_gross', null, 'post');
		$payment_currency = JRequest::getVar('mc_currency', null, 'post');
		$txn_id = JRequest::getVar('txn_id', null, 'post');
		$receiver_email = JRequest::getVar('receiver_email', null, 'post');
		$payer_email = JRequest::getVar('payer_email', null, 'post');
		$test_ipn = JRequest::getVar('test_ipn', null, 'post');
		$notify_url = JRequest::getVar('notify_url', null, 'post');
		$payer_business_name = JRequest::getVar('payer_business_name', null, 'post');
		$first_name = JRequest::getVar('first_name', null, 'post');
		$last_name = JRequest::getVar('last_name', null, 'post');
		$option_selection1 = JRequest::getVar('option_selection1', null, 'post');
		// post back to PayPal system to validate
		$header = "POST /cgi-bin/webscr HTTP/1.0\r\n";
		$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";
		if ($test_ipn==1) {


			$fp = fsockopen ('www.sandbox.paypal.com', 80, $errno, $errstr, 30);
		} else {
			$fp = fsockopen ('www.paypal.com', 80, $errno, $errstr, 30);
		}

		if (!$fp) {

			// HTTP ERROR
			$output .= "HTTP Error: $errstr ($errno)";
			// log for manual investigation

			$logs->save($output);
		} else {
			fputs ($fp, $header . $req);
			while (!feof($fp)) {
				$res = fgets ($fp, 1024);
				if (strcmp ($res, 'VERIFIED') == 0) {

					// check the payment_status is Completed
					if ($payment_status != 'Completed') {
						$output .= "Payment status: $payment_status\r\n";

					}
					// check that txn_id has not been previously processed

					// check that receiver_email is your Primary PayPal email
					if ($test_ipn==1) {
						$primary_email = $config->get('sandbox_email', '');
					} else {
						$primary_email = $config->get('paypal_email', '');
					}
					if ($receiver_email != $primary_email) {
						$output .= "Not Primary PayPal email: $receiver_email\r\n";
					}
					// check that payment_amount/payment_currency are correct

					// check if correct username provided
					$username = trim($option_selection1);
					if ($username=='') {
						$output .= "Username not provided\r\n";
					}
					if ($output=='') {
						if ($test_ipn==1) {
							$output .= $posts;
							$output .= "\r\n";
							$logs->save($output);
						}
						// process the payment

						if ($item_number == 1) {

							// check if registered user
							$user = $credits->getUser($username);

							if ( $user ) {
								// add credit
								if ( $credits->increase($credit) ) {
									// success
									// send automail
									$from = $mainframe->getCfg( 'mailfrom' );
									$fromname = $mainframe->getCfg( 'fromname' );
									$subject = $fromname . ': ' . JText::_( 'VODES_VODES' );
									$text = sprintf( JText::_( 'VODES_AUTO_MAIL' ), $user->name, $user->username, $mainframe->getCfg( 'sitename' ), JURI::base() );
									JUTility::sendMail($from, $fromname, $user->email, $subject, $text);
								}
							} else {
								// not registered in our user database
							}

						} else {
							// incorrect item number
						}

					} else {
						// log for manual investigation
						$logs->save($output);
					}

				} else if (strcmp ($res, 'INVALID') == 0) {
					$output = "INVALID return\r\n".$posts;
					// log for manual investigation
					$logs->save($output);
				}
			}
			fclose ($fp);
		}

		parent::display();
	}

}



?>