<?php
/*------------------------------------------------------------------------

# view.html.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined('_JEXEC') or die('cannot access directed!');

jimport('joomla.application.component.view');

class YO_PixelViewExtensionstep1 extends JView {
	function display() {
		global $mainframe;
		
		$session 	= JFactory::getSession();
		$wall_id 	= $session->get('yo_pixel_id');
//		$params=JComponentHelper::getParams('com_yo_pixel');
		$loadCells	= $this->get('Cells');
		$params 	= $this->get('Params');
		$userImg 	= $this->get('userImg');		
		$numCol 	= $params->cols;
		
		$cells = array();
		for ($i = 0; $i < count($loadCells); $i++ ) {
			$x 			= $loadCells[$i]->cell_id % $numCol;// get column
			$y 			= floor ( $loadCells[$i]->cell_id / $numCol );// get row
			$cells[$i] 	= $y.'.'.$x.'.'.$loadCells[$i]->status;//name of imge -> "[row].[column]"
		}
		
		$this->assignRef('cells', $cells);
		
		$folder = JRoute::_(JURI::root().'components/com_yo_pixel/imgs/wall_'.$wall_id);
		
		$this->assignRef('folder', $folder);
		$this->assignRef('wall_id', $wall_id);
		$this->assignRef('params', $params);	
		$this->assignRef( 'userImg', $userImg );
		parent::display();
	}
}

?>