<?php 
/*------------------------------------------------------------------------

# default.php - YO Pixel Controller

# ------------------------------------------------------------------------

# author    YOphp Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
defined( '_JEXEC') or die('Restric accsess!');

JHTML::_('behavior.tooltip');
JHTML::_('behavior.mootools');
$document = &JFactory::getDocument();
$document->addStyleSheet('components/com_yo_pixel/css/wall.css');
$document->addScript('components/com_yo_pixel/js/script.js');
$session = JFactory::getSession();
$session->set('yo_pixel_cells', '');
$session->set('yo_pixel_tmp_img', '');

$numRow = $this->params->rows;
$numCol = $this->params->cols;
$width 	= $this->params->size;
$height = $this->params->size;

$exist 	= 'false';
$src 	= null;
$url 	= null;
$inc 	= 0;
$index 	= 0;
$myAds 	= null;
$title 	= null;//alert user edit his ads
$md=$this->getModel('wall');
$maxpixel=$md->getMax(); 
$e_style = null;
if(JRequest::getString('task')=='cancel'){
	$mainframe->Redirect(JRoute::_('index.php', false), JText::_('CANCEL ORDER!'));
}
	
ob_start();

?>

<style type="text/css">
.e_cell {
	width: <?php echo $this->params->size; ?>px;
	height: <?php echo $this->params->size; ?>px;
}
.e_empty {
	width: <?php echo $this->params->size - 1; ?>px;
	height: <?php echo $this->params->size - 1; ?>px;
	border-right: 1px solid #ffffff;
	border-bottom: 1px solid #ffffff;
	background: #eeeeee;
}
.yo_pixel {
	width: <?php echo $this->params->size * $numCol; ?>px;
	height: <?php echo $this->params->size * $numRow; ?>px;
}
.e_selected {
	background: #cccccc;
}
</style>
<?php
$e_style = ob_get_contents();
ob_end_clean();
global $mainframe;
$document=& JFactory::getDocument();
$document->addCustomTag($e_style);
$link = '';
$alt = '';

?>
<div class="e-wall-form">
	<div>
		<h3 style="float: left;"><?php echo JText::_('STEP1');?></h3>
		<img src="<?php echo JURI::root().'components/com_yo_pixel/imgs/step1.jpg';?>" style="float: right;" />
	</div>
	<div style="clear:both;"></div>
	<form action="<?php echo JRoute::_('index.php?option=com_yo_pixel&view=step2' );?>" method="post" name="yo_pixel_step1">
	<div id="notify_error" style="padding: 5px; text-align: center; font-size: 120%;">&nbsp;</div>
	
	<div class="yo_pixel">
	<?php 
	for ($row =0; $row <$numRow; $row++ ){ 
		for ($column=0; $column<$numCol; $column++){
			$inc 	= $column + $index;
			foreach ($this->cells as $cell ) {
				$xy	= preg_split('/\./', $cell );
				if ( $xy[0] == $row & $xy[1] == $column ) {
					if ( $xy[2] == 'published' || $xy[2] == 'unpublished') {
						$title 	= JText::_('CELLS_HAS_CHOICE');
					} else {
						$src 	= $this->folder.'/'.$row.'.'.$column.'.jpg';
						foreach ($this->userImg as $ads ) {
							if ( $ads->cell_id == $inc ) {
								$link 	= JRoute::_('index.php?option=com_yo_pixel&view=editads&wall_id='.$this->wall_id.'&ads_id='.$ads->ads_id, false);
								$title 	= JText::_('ADS_TITLE');
								$exist 	= false;
								break;
							} else {
								$title 	= '';
								$link 	= '';
							}
						}
					}
					$exist 	= 'true';
					break;
				} else {
					$src 	= '';
					$exist 	= 'false';
				}
			}
	if ( $exist == 'false' ){
		echo '<div class="e_cell e_empty" onclick="update('.$inc.','.$exist.')" id="'.$inc.'">';
		echo '</div>';	
	} else {
		if ( $link != '') {
			$exist = 'false';
		} else {
			$exist = 'true';
		}
		echo '<div  class="e_cell" onclick="update('.$inc.','.$exist.')" id="'.$inc.'">';
		if ( $link != '' ) {
			echo '<a href="'.$link.'">';
		}
		echo '<img src="'.$src.'" border=0; width="'.$this->params->size.'" height="'.$this->params->size.'" title="'.$title.'"/>';
		if ( $link != '' ) {
			echo '</a>';
		}
		echo '</div>';
	}
	}
	?>
	
	<div class="e_clear"></div>
	<?php
	$index = $inc + 1;
	}
	?>
	
	</div>
	<h5>
	<?php  if ($maxpixel->max!=0&&$maxpixel!=null) {
		echo JText::_('Note:You can only choose '.$maxpixel->max.' pixel');
	}?></h5>
	<div id="returnValue" style="clear: both"></div>
	<div class="e-wall-button-form">
		<input type="button" onclick="sendcross();" name="sendCross" id="sendCross" value="Submit cells" class="button" style="text-align: center;" />
		
	</div>
	
	<input type="hidden" name="yo_pixel_getcells" id="yo_pixel_getcells" value="" />
	<input type="hidden" name="option" value="com_yo_pixel" />
	<input type="hidden" name="controller" value="steptwo" />
	<input type="hidden" name="wall_id" value="<?php echo $this->wall_id;?>" />
	
	<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	<h4>If you want extension your advertising,<a href="<?php echo JRoute::_('index.php?option=com_yo_pixel&view=extensionstep1&wall_id='.$this->wall_id);?>'"> click here</a></h4>
</div>

<script type="text/javascript">
var row = <?php echo $numRow; ?>;
var col = <?php echo $numCol; ?>;
</script>
