<?php 
/*------------------------------------------------------------------------

# default.php - yo_pixel Controller

# ------------------------------------------------------------------------

# author    E-Content Site

# copyright Copyright (C) 2010 yophp.com. All Rights Reserved.

# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL

# Websites: http://www.yophp.com

# Technical Support:  Forum - http://forum.yophp.com

-------------------------------------------------------------------------*/
JPlugin::loadLanguage('com_yo_pixel');
$db = JFactory::getDBO();
$query = 'SELECT * FROM #__yo_pixel WHERE id='.$params->get('id', 0);
$db->setQuery($query);
$dimention = $db->loadObject();
if ( count($dimention) != 0 ) {
	$numRow = $dimention->rows;
	$numCol = $dimention->cols;
	//resize to fix window
	$mwidth = $params->get('width', 200);
	$size = floor(intval($mwidth)/$numCol);
	//set forder of wall
	$folder = JURI::root().'components/com_yo_pixel/imgs/wall_'.$params->get('id', 0);

	$exist = 'false';
	$src = $folder.'/'.'background.jpg';

	$query	='SELECT b.url,b.info,c.cell_id FROM #__yo_pixel AS a
		INNER JOIN #__yo_ads AS b ON a.id = b.wall_id
		 INNER JOIN #__yo_ads_cells AS c ON b.id=c.ads_id WHERE a.id='.$params->get('id', 0);
	$db->setQuery($query);
	$rs 	=$db->loadObjectList();

	$arr_cell	=	array();
	// Get Cell_id
	for($i=0;$i<count($rs);$i++){
		$arr_cell[$rs[$i]->cell_id]=$rs[$i];
	}

	$cells = array();
	for ($i=0; $i<count($loadCells); $i++ ) {
		$x = $loadCells[$i]->cell_id % $dimention->cols;// get column
		$y = floor ( $loadCells[$i]->cell_id / $dimention->cols ); // get row
		$cells[$i] = $y.'.'.$x.'.'.$loadCells[$i]->status;//name of imge -> "[row].[column]"
	}

	$inc = 0;
	$index = 0;
?>
<div style="text-align:center;">
	<div style="width: <?php echo $size * $numCol; ?>px; height: <?php echo $size * $numRow; ?>px; margin: 0 auto;">
	<?php 
	for ($row =0; $row <$numRow; $row++ ){
		for ($column=0; $column<$numCol; $column++){
			$inc = $column + $index;
			foreach ($cells as $cell ) {
				$xy = preg_split('/\./', $cell );
				if ( $xy[0] == $row & $xy[1] == $column ) {
					$src = $folder.'/'.$row.'.'.$column.'.jpg';
					$url	=$arr_cell[$row*$dimention->cols + $column]->url;
					$info	=$arr_cell[$row*$dimention->cols + $column]->info;
					$exist = 'true';
					break;
				} else {
					$src = '';
					$url = ''; $info = '';
					$exist = 'false';
				}
			}
			if ( $exist == 'false' ){
	?>
	<div class="yo_pixel_cell_blank" style="width: <?php echo $size - 1; ?>px;height: <?php echo $size - 1; ?>px;"><!--pixel--></div>
	<?php	
			} else {
	?>
	<div class="yo_pixel_cell" style="width: <?php echo $size; ?>px;height: <?php echo $size; ?>px;">
	<a href="<?php echo $url?>" title="<?php echo $info?>"><img src="<?php echo $src?>" style="width: <?php echo $size; ?>px;height: <?php echo $size; ?>px;" alt="<?php echo $info?>" /></a>
	</div>
	<?php
			}
		}
	?>
	<div style="clear: both;height: 0 px;line-height: 0 px;"></div>
	<?php
	$index = $inc + 1;
	}

	?>
	</div>

	<?php 

	$query = ' SELECT ssubmit FROM #__yo_pixel WHERE id = '.$db->Quote($params->get('id', 0));
	$db->setQuery( $query );
	$ssubmit = $db->loadResult();

	if (!empty($ssubmit) && $ssubmit == 1) {
		?>
		<div style="text-align: center;">
			<a href="<?php echo JRoute::_('index.php?option=com_yo_pixel&view=step1&wall_id='.$params->get('id', 0));?>"><?php echo JText::_('ALT_LINK'); ?></a>
		</div>
		<?php 
	}
	?>
</div>
<?php	
} else {
	echo JText::_('WALL_NOT_FOUND');
}
?>